Package de.willuhn.jameica.hbci.gui.parts

# Class UmsatzTree

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TreePart
de.willuhn.jameica.hbci.gui.parts.UmsatzTree

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class UmsatzTree extends de.willuhn.jameica.gui.parts.TreePart
Liefert einen fertig konfigurierten Tree mit Umsaetzen in deren Kategorien.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTree(de.willuhn.datasource.GenericIterator list)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected de.willuhn.jameica.gui.parts.table.Feature.Context`
`createFeatureEventContext(de.willuhn.jameica.gui.parts.table.Feature.Event e, Object data)`
`void`
`setList(de.willuhn.datasource.GenericIterator list)`

### Methods inherited from class de.willuhn.jameica.gui.parts.TreePart

`getChildren, getItems, getSelection, handleDoubleClick, handleMouseDown, handleMouseUp, handleSingleClick, paint, removeAll, restoreState, select, setChecked, setExpanded, setExpanded, setExpanded, setFormatter, setList, setRootObject, size`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTree

public UmsatzTree(de.willuhn.datasource.GenericIterator list) throws RemoteException
ct.

Parameters:
  `list` - eine Liste mit Objekten des Typs `Umsatz`
Throws:
  `RemoteException`

## Method Details

### setList

public void setList(de.willuhn.datasource.GenericIterator list)

Overrides:
  `setList` in class `de.willuhn.jameica.gui.parts.TreePart`
See Also:
  - `TreePart.setList(de.willuhn.datasource.GenericIterator)`

### createFeatureEventContext

protected de.willuhn.jameica.gui.parts.table.Feature.Context createFeatureEventContext(de.willuhn.jameica.gui.parts.table.Feature.Event e, Object data)

Overrides:
  `createFeatureEventContext` in class `de.willuhn.jameica.gui.parts.TreePart`
See Also:
  - `TreePart.createFeatureEventContext(de.willuhn.jameica.gui.parts.table.Feature.Event, java.lang.Object)`